import { RPMessage } from "../utils/type";
import BaseProto from "./BaseProto";

export default class MsgProto extends BaseProto {
    override handleMessage(msg: RPMessage) {
        switch (msg.cmd) {
            case "echo":
                this.sendRes("echo", "0000", msg.data);
                break;
            default:
                this.sendUnknownCommand();
                break;
        }
    }

    private sendRes(cmd: string, code: string, data: any) {
        console.log(cmd, data);
        this.send({ type:'msg', cmd, code, data});
    }
}