type user_id = string;
type token = string;

export type user = {
    id: user_id;
    name: string;
    token: token;
}

export interface JsonHead {
    type: string;
    action?: string;
    id?: string;
    token?: string;
}

export interface RPMessage {
    type: string;
    cmd: string;
    uid?: string;
    token?: string;
    data?: any;
    code?: string;
}